// Ouvre le fichier texte jouineau_sport_Pitch_listing.txt
// placé dans le dossier data
// Affiche en texte le debut du fichier
// Dessine la courbe

/**
 * Ouvre le fichier texte jouineau_sport_Pitch_listing.txt <br>
 * Affiche en texte le debut du fichier<br>
 * Dessine la courbe <br>
 */


PFont maFonte;
String Texte1Nom = "jouineau_sport_Pitch_listing.txt";
String[] lignes;
int index = 0;
float xavant, xapres, yavant, yapres;
int Ligne;

void setup() {
  maFonte = loadFont("Helvetica-50.vlw");
  size(800, 600);
  smooth();
  background(255);
  stroke(160);
  textAlign(LEFT, TOP); //RIGHT LEFT BOTTOM BASELINE TOP
  if (loadStrings(Texte1Nom) == null) { 
    println("Le fichier " + Texte1Nom + " n'existe pas");
    exit();
  } 
  else {
    println("Ouverture de: " + Texte1Nom);
    println();
    lignes = loadStrings(Texte1Nom);
    textFont(maFonte, 16);
    fill(0, 0, 0);
    text("Fichier: " + Texte1Nom + "     ("+ lignes.length + " lignes)", 5, 10);
    textFont(maFonte, 12);
    stroke(0, 0, 0);
    line(0, YPitch(75), 800, YPitch(75));
    text("75Hz", 760, YPitch(75)-10);
    line(0, YPitch(500), 800, YPitch(500));
    text("500Hz", 760, YPitch(500)-10);
  }
}

void draw() {
  if (index < lignes.length) {
    float[] nums = float(split(lignes[index], "   "));
    Ligne = (index * 14) + 20;
    fill(0, 0, 255);
    text(nums[0], 50, Ligne);
    fill(255, 0, 0);
    text(nums[1], 100, Ligne);
    if (! Float.isNaN(nums[1])) {
      xapres = index * 800 / lignes.length;
      yapres = YPitch(nums[1]) ;
      // text(xapres, 250, Ligne);
      // text(yapres, 350, Ligne);
      line(xavant, yavant, xapres, yapres);
      xavant = xapres;    
      yavant = yapres;
    }
    index = index + 1;
  }
}

float YPitch(float w) {
  return ((500 - w) / 2) + 100;
}

